PHP Manual
Prev |  | Next

# SoapServer->setPersistence()

(no version information, might be only in CVS)

SoapServer->setPersistence() -- Sets persistence mode of SoapServer

## Description

class SoapServer {
void setPersistence ( int mode )
}

This function allows saving data between requests in a PHP session. It works only with a server that exports functions from a class with SoapServer->setClass().

## Parameters

mode

  One of the SOAP_PERSISTENCE_XXX constants.

## Return Values

No value is returned.

## Examples

Example 1. Some examples

`<?php $server->setPersistence(SOAP_PERSISTENCE_SESSION); $server->setPersistence(SOAP_PERSISTENCE_REQUEST); ?>`

> Note: The persistence `SOAP_PERSISTENCE_SESSION` makes persistent only object of given class, but not the class static data. You may use $this->bar instead of self::$bar.

## See Also

SoapServer->__construct()
SoapServer->setClass()

Prev | Home | Next
SoapServer->setClass() | Up | SoapVar->__construct()